Microsoft .NET Framework Downloads

File Viewer Plus 3

File Viewer Plus 3 requires .NET Framework 4.6.1 or later. If you're a Windows 10 user, you should already have .NET 4.6.1 or later installed. If you still need to install, we recommend version .NET 4.6.2, which you can download below:


File Viewer Plus 2

Some features within File Viewer Plus 2 require the .NET Framework 4.x. You can download the .NET installer for your version of Windows using the following links.

Windows XP – Windows 7

Windows 8

Windows 10

  • A compatible version of .NET is already included with Windows 10.